## consonance 0.1.5

=== requirements.txt ===
cffi==1.15.0
cryptography==36.0.0
dissononce==0.34.3
protobuf==4.0.0rc2
pycparser==2.21
python-axolotl-curve25519==0.4.1.post2
six==1.16.0
transitions==0.8.10

## consonance 0.1.3

=== debian/changelog ===
consonance (0.1.3-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version. No changes required

 -- Josue Ortega <josue@debian.org>  Thu, 05 Sep 2019 11:48:22 -0600

consonance (0.1.3-1) experimental; urgency=medium

  * Initial release (Closes: #930325)

 -- Josue Ortega <josue@debian.org>  Mon, 10 Jun 2019 11:53:32 -0600

=== debian/control ===
Source: consonance
Section: python
Priority: optional
Maintainer: Josue Ortega <josue@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-protobuf,
 python3-transitions,
 python3-dissononce,
 python3-axolotl-curve25519
Standards-Version: 4.4.0
Homepage: https://github.com/tgalal/consonance
Vcs-Browser: https://salsa.debian.org/debian/python-consonance
Vcs-Git: https://salsa.debian.org/debian/python-consonance.git

Package: python3-consonance
Architecture: all
Depends: ${python3:Depends},
 ${misc:Depends},
 python3-dissononce,
 python3-transitions,
 python3-protobuf,
 python3-axolotl-curve25519
Description: WhatsApp handshake implementation using Noise Protocol
 Consonance implements WhatsApp's handshake process which makes use of Noise
 Pipes with Curve25519, AES-GCM, and SHA256 from Noise Protocol.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export PYBUILD_NAME=consonance

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: python3 -c "from consonance.config.client import ClientConfig"

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%consonance-$1.tar.gz%" \
   https://github.com/tgalal/consonance/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## consonance 0.1.5

=== debian/changelog ===
consonance (0.1.5-1) unstable; urgency=medium

  * New upstream release (0.1.5):
    + Refresh debian/patches.
  * Bump Standards-Version to 4.6.0. No changes required.
  * debian/copyright: Update copyright years

 -- Josue Ortega <josue@debian.org>  Tue, 08 Feb 2022 19:36:47 -0600

consonance (0.1.3-3) unstable; urgency=medium

  * Add debian/tests/create-config instead of superficial test (Closes:
    #974512)
  * Bump package Standards-Version to 4.5.1. No changes required
  * debian/patches/0-disable-online-test.patch: Document Forwarded
    header as not-needed
  * Bump debhelper-compat version to 13
  * debian/control: Document Rules-Requires-Root field as no

 -- Josue Ortega <josue@debian.org>  Sat, 02 Jan 2021 13:30:36 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Josue Ortega <josue@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
@@ -10,7 +10,8 @@
  python3-transitions,
  python3-dissononce,
  python3-axolotl-curve25519
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/tgalal/consonance
 Vcs-Browser: https://salsa.debian.org/debian/python-consonance
 Vcs-Git: https://salsa.debian.org/debian/python-consonance.git
